[Fujitsu LIFEBOOK T900] Stylus input stops working after resuming from suspend

Bug #1251441 reported by Christopher Kyle Horton on 2013-11-14
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I'm filing this bug here as per a suggestion on Ask Ubuntu: http://askubuntu.com/questions/377047/which-package-should-i-file-a-bug-against-for-pen-input

I have a Fujitsu LifeBook T900 which accepts touchscreen input via a stylus which comes with the machine. It works fine until I suspend the laptop, such as by closing the lid, then resuming, at which point it immediately stops working.

Keyboard and touchpad (mouse) still work while the bug is active. This is a fresh install of Ubuntu 13.10; the same machine previously ran 12.04 LTS and did not experience the problem there.

WORKAROUND: Restart or log out and back in.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-13-generic 3.11.0-13.20
ProcVersionSignature: Ubuntu 3.11.0-13.20-generic 3.11.6
Uname: Linux 3.11.0-13-generic x86_64
ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: chorton 1695 F.... pulseaudio
Date: Thu Nov 14 16:47:51 2013
HibernationDevice: RESUME=UUID=7daf89ba-2a9b-4dcb-b74f-94c6c6712d7c
InstallationDate: Installed on 2013-10-22 (23 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: FUJITSU LIFEBOOK T900
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-13-generic root=UUID=3afa1e4f-0b09-4e49-b2f4-b6e805900e81 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-13-generic N/A
 linux-backports-modules-3.11.0-13-generic N/A
 linux-firmware 1.116
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/29/2011
dmi.bios.vendor: FUJITSU // Phoenix Technologies Ltd.
dmi.bios.version: Version 1.19
dmi.board.name: FJNB204
dmi.board.vendor: FUJITSU
dmi.chassis.type: 10
dmi.chassis.vendor: CP480443-01
dmi.modalias: dmi:bvnFUJITSU//PhoenixTechnologiesLtd.:bvrVersion1.19:bd11/29/2011:svnFUJITSU:pnLIFEBOOKT900:pvr:rvnFUJITSU:rnFJNB204:rvr:cvnCP480443-01:ct10:cvr:
dmi.product.name: LIFEBOOK T900
dmi.sys.vendor: FUJITSU

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream stable kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.11 stable kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.8-saucy/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key needs-bisect regression-release
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Thanks Joseph. I'll look into it.
Since I reported this, a friend suggested that I try logging out and back in to see if that changes anything. That does seem to make the stylus start working again when I do that, in case that changes anything. I'll add this workaround to the bug summary.

description: updated

Okay, I installed the mainline kernel and can confirm I'm running it after a reboot:

chorton@chorton-LIFEBOOK-T900:~$ uname -a
Linux chorton-LIFEBOOK-T900 3.11.8-031108-generic #201311122252 SMP Wed Nov 13 03:53:29 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Unfortunately, after suspending and resuming, I still encounter the bug.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Neil Olver (neilincanadia) wrote :

The same problem occurs for me, on a Thinkpad X201T. The problem didn't occur in 13.04.

Magnus Bakken (magbak) wrote :

I also have this problem with my Thinkpad X201T on 13.10, but did not with 13.04.

Magnus Bakken (magbak) wrote :

As mentioned in the previous comment I have the same problem on 13.10 with a Thinkpad X201T.
I tried to get it working after suspend following some parts of the guide at:
http://forums.linuxmint.com/viewtopic.php?f=42&t=96247
First, following a fresh restart, I found that the wacom input attaches to /dev/ttyS4
grep -i 'wacom' /var/log/syslog

Nov 24 13:02:59 thinkmag kernel: [ 15.992529] input: Wacom Serial Penabled 2FG Touchscreen as /devices/pnp0/00:09/tty/ttyS4/serio2/input/input15

After a suspend -> wake up, functionality is gone.
wacom devices are missing when I list them with the command:
xinput

However, the command:
inputattach --w8001 /dev/ttyS4
run as root restores touchscreen functionality following a suspend.
After that I used the answer given in:
http://askubuntu.com/questions/303113/problem-running-a-script-after-resume
to make a workaround.

Perhaps this can be of some use in solving the problem.

description: updated
tags: added: latest-bios-1.19
summary: - Stylus input stops working after resuming from suspend
+ [Fujitsu LIFEBOOK T900] Stylus input stops working after resuming from
+ suspend
tags: added: kernel-bug-exists-upstream-v3.11.8
removed: kernel-bug-exists-upstream
tags: added: needs-suspend-logs needs-upstream-testing

Christopher Kyle Horton, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc1-trusty/ and advise to the results?

Neil Olver / Magnus Bakken, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions or comments, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

@Christopher M. Penalver , I am running the 3.13 mainline kernel now:

chorton@chorton-LIFEBOOK-T900:~$ uname -a
Linux chorton-LIFEBOOK-T900 3.13.0-031300rc1-generic #201311221535 SMP Fri Nov 22 20:36:51 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I still have the same bug as before.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Also, the workaround mentioned in comment #8 does not seem to work in my case. I can use grep to find similar lines in my /var/log/syslog, however.

tags: added: kernel-bug-exists-upstream-v3.13-rc1
removed: kernel-bug-exists-upstream-v3.11.8
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Christopher M. Penlaver, here is the requested output.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Christopher Kyle Horton, the next step is to fully commit bisect from 12.04 to 13.10 in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

tags: removed: needs-suspend-logs
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Thank you for the wiki link.

Since this is a school laptop which is dual-booted with a Windows 7 image supplied by my school, and we're entering final exams in a couple weeks, I will hold off on doing the first step ("Bisecting Ubuntu releases") until after these exams are done and I'm on winter break, so as to avoid breaking anything during an important time. Please understand the delay; I very much would like to see this bug resolved and I will resume tackling it once this IRL stuff is done.

Okay, I'm done with my studies for this semester now. I'll begin the bisection once all of my data has been backed up.

Sorry for the delay since the last update. My family's Christmas excitement had to die down first. :P

I've completed the "Bisecting Ubuntu releases" section of the linked wiki page from comment #16, and found that the bug is reproducible in a fresh install of 13.10 (both before and after updates), but not reproducible in 13.04 (both before and after updates). So, the regression occurred between these two releases, then.

I'll do the next section shortly and try to find the responsible kernel version.

@Christopher M. Penalver: I went to bisect the Ubuntu kernel versions like I mentioned in the last comment, but the problem is present all the way back in the 3.9.0-0.1 kernel (the earliest published version for Saucy AFAICT), and attempting to run any earlier kernels from Raring results in a stretched screen, no working WiFi/USB, and the stylus not working at all.

I'm not sure if I am able to proceed and reliably pinpoint exactly where the last good kernel version is given this, unless this is normal. I have not done a bisection before and I am not sure if this means I am doing it correctly. Should I proceed to the next step and start checking out the source via git to build, and aim for revisions before 3.9.0-0.1? I would like some advice here.

Christopher Kyle Horton, thank you for your comments. It would be best to switch over to bisecting the mainline kernel following https://wiki.ubuntu.com/Kernel/KernelBisection#Map_Ubuntu_kernel_to_Mainline_kernel_for_mainline_bisection to see if it let's you continue your bisection.

Okay, this is interesting. I found that I can confirm this bug on Saucy using the 3.8.13.12 mainline kernel version, which according to http://kernel.ubuntu.com/~kernel-ppa/info/kernel-version-map.html is equivalent to the 3.8.0-34.49 kernel I used in my test of updated Raring (and there was no bug there). I expected the 3.8.13.13 kernel to exhibit the bug (it does as well) and the 3.8.13.12 kernel to not show it based on what I saw in Raring, so this surprised me.

Is it possible that this bug is not due to the kernel?

Christopher Kyle Horton, thank you for your comment. One thing to keep in mind that the Ubuntu kernel is based off of the mainline kernel, but not bit-for-bit the same. So, I would check a few earlier releases of mainline kernel <3.8.13.12 to see if the regression in the mainline was a little bit earlier than anticipated.

Okay, I have tested several more versions back, and I can confirm the bug is present all the way back to at least the 3.8.9-Raring version (3.8.8-Raring is where I begin to run into problems like those described in Comment #20, and the stylus stops working altogether).

Christopher Kyle Horton, thank you for working on the bisect. Given the extenuating circumstance surrounding your attempts to bisect, let us put this on hold for now. Hence, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Triaged

@Christopher M. Penalver, the instructions note that for regressions, I should have the commit of when the regression occurred available in my upstream bug report. Since I could not find the exact commit in my bisection, how should I handle this? Thanks.

Christopher Kyle Horton, thank you for your comment. It would be best to make it clear from what two kernel versions, or commit range if more specific, you at least bisected it down to.

@Christopher M. Penalver: Okay, I have a draft of the email I am going to send attached.

Barring anything I may have missed, who should I send this to? The Ubuntu Wiki says to refer to the MAINTAINERS list ( http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/MAINTAINERS ), but I'm still not clear where exactly would be best to send it.

Thank you for all the help so far!

Okay, here is the new email draft with the needed info appended. To whom should I send it? Thanks!

Christopher Kyle Horton, I would send it to both linux-input and linux-pm.

Okay, the email is sent. We'll see what the response is. :)

I have not heard a response back yet. Unfortunately, today is the first day of my new semester, and I need to get my laptop re-imaged with Windows at my school's IT help desk so I can use the necessary software for my courses. I will likely go back to dual-booting with Ubuntu 12.04 LTS unless any further developments occur.

BvL | QORTEC (qortec) wrote :

Form what I understand I have a similar issue, I have a Fujitsu T4215 Tablet PC/Laptop, and the stylus wouldn't work after resuming form a suspended state.

The issue:
- the wacom input gets removed on system suspend or resume (tested by running “xinput –list” before and after).

The solution:

NOTE: I run on Linux Mint 16 so my I cannot guarantee that the solution will work for you.

Step 1:
Since the wacom input is setup using udev, if you run the following command “udevadm trigger –action=change” the stylus should work immediately.

Step 2:
To automate Step 1 create a text file in “/etc/pm/sleep.d” and have its contents contain the following
------------------------------------------------------------
#!/bin/sh
# Fix to restart wacom drivers after suspend
case "${1}" in
    resume|thaw)
  udevadm trigger --action=change
  ;;
esac

------------------------------------------------------------

Resources I used:
http://forums.linuxmint.com/viewtopic.php?f=42&t=96247
https://wiki.archlinux.org/index.php/touchscreen
http://askubuntu.com/questions/82470/what-is-the-correct-way-to-restart-udev
https://lists.ubuntu.com/archives/ubuntu-devel/2009-January/027260.html
http://askubuntu.com/questions/92218/how-to-execute-a-command-after-resume-from-suspend

To confirm the issue I stated above has been fixed on my laptop, which is running Linux Mint 16. I'm planing on writing a step by step guide soon (beginner level) that highlights this issue and the fix I used. If you need any help or clarification regarding my fix, will fell free to ask.

BvL | QORTEC, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

I recently got around to installing Trusty Beta 2 on my Fujitsu LifeBook alongside Windows 7 after a reimage made it Windows-only again. This bug still exists.

tags: added: trusty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers